org.apache.lucene.facet

## Class DrillSideways.DrillSidewaysResult

- java.lang.Object
- - org.apache.lucene.facet.DrillSideways.DrillSidewaysResult

- Direct Known Subclasses:
    DrillSideways.ConcurrentDrillSidewaysResult
  Enclosing class:
    DrillSideways

      public static class DrillSideways.DrillSidewaysResult
      extends Object

  Result of a drill sideways search, including the `Facets` and `TopDocs`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Facets` | `facets` Combined drill down and sideways results.
    `TopDocs` | `hits` Hits.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DrillSidewaysResult(Facets facets, TopDocs hits)` Sole constructor.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### facets

          public final Facets facets

      Combined drill down and sideways results.

    - #### hits

          public final TopDocs hits

      Hits.

  - ### Constructor Detail

    - #### DrillSidewaysResult

          public DrillSidewaysResult(Facets facets,
                                     TopDocs hits)

      Sole constructor.

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.